Bug 1209415 - Rebase asn1c to version 0.9.27
Summary: Rebase asn1c to version 0.9.27
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: asn1c
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathaniel McCallum
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-07 10:26 UTC by Martin Babinsky
Modified: 2015-04-23 16:04 UTC (History)
1 user (show)

Fixed In Version: asn1c-0.9.27-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-23 16:04:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Babinsky 2015-04-07 10:26:50 UTC
Description of problem:

FreeIPA uses a code generated by ASN1C compiler to parse ASN.1 data structures in C portions of its source code.

The version of ASN1C present in Fedora (9.21-7) seems to be heavily outdated and contains a number of defects which get constantly reported during static code analysis.

According to upstream (https://github.com/vlm/asn1c), 9.27 is the latest version available and contains a number of bugfixes and new features. Using up-to-date version would also enable FreeIPA team to work with upstream on squishing any remaining bugs or defects.

Version-Release number of selected component (if applicable):
9.21-7

Comment 1 Fedora Update System 2015-04-07 23:31:50 UTC
asn1c-0.9.27-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/asn1c-0.9.27-1.fc22

Comment 2 Fedora Update System 2015-04-08 18:36:32 UTC
Package asn1c-0.9.27-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing asn1c-0.9.27-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5769/asn1c-0.9.27-1.fc22
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-04-23 16:04:51 UTC
asn1c-0.9.27-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.